Otherwise te checksums in artifacts.xml will be invalid builds are doomed.
gitlab #468
Change-Id: I4eddd4d0a9ef19e37bfc9a26a5e5c94c486e0bda
--- /dev/null
+#!/bin/bash
+
+if [ $# -lt 2 ]; then
+ echo "usage: $0 <eclipse-executable> <repository-directory-to-generate-p2-metadata-for>"
+ exit 1
+fi
+
+ECLIPSE=$1
+REPO=$2
+
+rm ${REPO}/{artifacts,content}.jar
+
+"${ECLIPSE}" -noupdate -nosplash -application org.eclipse.equinox.p2.publisher.FeaturesAndBundlesPublisher -metadataRepository file:/${REPO} -artifactRepository file:/${REPO} -source ${REPO} -compress -publishArtifacts